using SqlSugar;

namespace OpenAuth.Repository.Domain;

[SugarTable("geo_tiff_manager")]
public class GeoTiffManager
{
    public GeoTiffManager()
    {
    }

    /// <summary>
    /// Desc:
    /// Default:
    /// Nullable:False
    /// </summary>           
    [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
    public string Id { get; set; }

    /// <summary>
    /// Desc:访问地址
    /// Default:
    /// Nullable:True
    /// </summary>
    [SugarColumn(ColumnName = "access_url")]
    public string AccessUrl { get; set; }

    /// <summary>
    /// Shp 文件路径
    /// </summary>
    [SugarColumn(ColumnName = "shp_path")]
    public string ShpPath { get; set; }

    /// <summary>
    /// GeoTiff文件路径
    /// </summary>
    [SugarColumn(ColumnName = "tiff_path")]
    public string TiffPath { get; set; }

    /// <summary>
    /// tiff 日期文件夹
    /// </summary>
    [SugarColumn(ColumnName = "date_dir")]
    public string DateDir { get; set; }

    /// <summary>
    /// shp入库表名
    /// </summary>
    [SugarColumn(ColumnName = "data_table")]
    public string DataTable { get; set; }

    /// <summary>
    /// 创建时间
    /// </summary>
    [SugarColumn(ColumnName = "create_time")]
    public DateTime? CreateTime { get; set; }

    /// <summary>
    ///  更新时间
    /// </summary>
    [SugarColumn(ColumnName = "update_time")]
    public DateTime? UpdateTime { get; set; }

    /// <summary>
    ///  栅格仓库名称
    /// </summary>
    [SugarColumn(ColumnName = "store_name")]
    public string StoreName { get; set; }

    /// <summary>
    /// 图层名称
    /// </summary>
    [SugarColumn(ColumnName = "layer_name")]
    public string LayerName { get; set; }
    
    public string geometry { get; set; }
}